<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFShape (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFShape (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":10,"i3":6,"i4":6,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
               title="interface in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFShape.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFShape" class="title">Class HSSFShape</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.usermodel.HSSFShape</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                           title="interface in org.apache.poi.ss.usermodel">Shape</a></dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html"
                           title="class in org.apache.poi.hssf.usermodel">HSSFShapeGroup</a>, <a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFSimpleShape</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">HSSFShape</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
              title="interface in org.apache.poi.ss.usermodel">Shape</a></pre>
                <div class="block">An abstract shape.

                    Note: Microsoft Excel seems to sometimes disallow
                    higher y1 than y2 or higher x1 than x2 in the anchor, you might need to
                    reverse them and draw shapes vertically or horizontally flipped via
                    setFlipVertical() or setFlipHorizontally().
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#FILL__FILLCOLOR_DEFAULT">FILL__FILLCOLOR_DEFAULT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE__COLOR_DEFAULT">LINESTYLE__COLOR_DEFAULT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHDOTDOTSYS">LINESTYLE_DASHDOTDOTSYS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHDOTGEL">LINESTYLE_DASHDOTGEL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHDOTSYS">LINESTYLE_DASHDOTSYS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHGEL">LINESTYLE_DASHGEL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHSYS">LINESTYLE_DASHSYS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DEFAULT">LINESTYLE_DEFAULT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DOTGEL">LINESTYLE_DOTGEL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DOTSYS">LINESTYLE_DOTSYS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_LONGDASHDOTDOTGEL">LINESTYLE_LONGDASHDOTDOTGEL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_LONGDASHDOTGEL">LINESTYLE_LONGDASHDOTGEL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_LONGDASHGEL">LINESTYLE_LONGDASHGEL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_NONE">LINESTYLE_NONE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_SOLID">LINESTYLE_SOLID</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINEWIDTH_DEFAULT">LINEWIDTH_DEFAULT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINEWIDTH_ONE_PT">LINEWIDTH_ONE_PT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#NO_FILL_DEFAULT">NO_FILL_DEFAULT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#NO_FILLHITTEST_FALSE">NO_FILLHITTEST_FALSE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#NO_FILLHITTEST_TRUE">NO_FILLHITTEST_TRUE</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#HSSFShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.hssf.record.ObjRecord-">HSSFShape</a></span>(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                                    <a href="../../../../../org/apache/poi/hssf/record/ObjRecord.html"
                                       title="class in org.apache.poi.hssf.record">ObjRecord</a>&nbsp;objRecord)</code>
                                    <div class="block">creates shapes from existing file</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#HSSFShape-org.apache.poi.hssf.usermodel.HSSFShape-org.apache.poi.hssf.usermodel.HSSFAnchor-">HSSFShape</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;parent,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;anchor)</code>
                                    <div class="block">Create a new shape with the specified parent and anchor.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#afterRemove-org.apache.poi.hssf.usermodel.HSSFPatriarch-">afterRemove</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFPatriarch</a>&nbsp;patriarch)</code>
                                    <div class="block">remove escher container from the patriarch.escherAggregate
                                        remove obj, textObj and note records if it's necessary
                                        in case of ShapeGroup remove all contained shapes
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected abstract <a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#cloneShape--">cloneShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#countOfAllChildren--">countOfAllChildren</a></span>()</code>
                                    <div class="block">Count of all children and their children's children.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected abstract <a
                                        href="../../../../../org/apache/poi/hssf/record/ObjRecord.html"
                                        title="class in org.apache.poi.hssf.record">ObjRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#createObjRecord--">createObjRecord</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected abstract <a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#createSpContainer--">createSpContainer</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getAnchor--">getAnchor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getEscherContainer--">getEscherContainer</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getFillColor--">getFillColor</a></span>()</code>
                                    <div class="block">The color used to fill this shape.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getLineStyle--">getLineStyle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getLineStyleColor--">getLineStyleColor</a></span>()</code>
                                    <div class="block">The color applied to the lines of this shape.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getLineWidth--">getLineWidth</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hssf/record/ObjRecord.html"
                                        title="class in org.apache.poi.hssf.record">ObjRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getObjRecord--">getObjRecord</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ddf/EscherOptRecord.html"
                                        title="class in org.apache.poi.ddf">EscherOptRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getOptRecord--">getOptRecord</a></span>()</code>
                                    <div class="block">Return the low-level EscherOptRecord to read/modify not yet
                                        wrapped escher properties
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getParent--">getParent</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFPatriarch</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getPatriarch--">getPatriarch</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getRotationDegree--">getRotationDegree</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getShapeName--">getShapeName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#isFlipHorizontal--">isFlipHorizontal</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#isFlipVertical--">isFlipVertical</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#isNoFill--">isNoFill</a></span>()</code>
                                    <div class="block">Whether this shape is not filled with a color</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setAnchor-org.apache.poi.hssf.usermodel.HSSFAnchor-">setAnchor</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;anchor)</code>
                                    <div class="block">Sets a particular anchor.</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setFillColor-int-">setFillColor</a></span>(int&nbsp;fillColor)</code>
                                    <div class="block">The color used to fill this shape.</div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setFillColor-int-int-int-">setFillColor</a></span>(int&nbsp;red,
                                    int&nbsp;green,
                                    int&nbsp;blue)</code>
                                    <div class="block">Sets the color used to fill this shape using the solid fill
                                        pattern.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setFlipHorizontal-boolean-">setFlipHorizontal</a></span>(boolean&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setFlipVertical-boolean-">setFlipVertical</a></span>(boolean&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setLineStyle-int-">setLineStyle</a></span>(int&nbsp;lineStyle)</code>
                                    <div class="block">Sets the line style.</div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setLineStyleColor-int-">setLineStyleColor</a></span>(int&nbsp;lineStyleColor)</code>
                                    <div class="block">The color applied to the lines of this shape.</div>
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a></span>(int&nbsp;red,
                                    int&nbsp;green,
                                    int&nbsp;blue)</code>
                                    <div class="block">The color applied to the lines of this shape.</div>
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setLineWidth-int-">setLineWidth</a></span>(int&nbsp;lineWidth)</code>
                                    <div class="block">Sets the width of the line.</div>
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setNoFill-boolean-">setNoFill</a></span>(boolean&nbsp;noFill)</code>
                                    <div class="block">Sets whether this shape is filled or transparent.</div>
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setParent-org.apache.poi.hssf.usermodel.HSSFShape-">setParent</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;parent)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setPatriarch-org.apache.poi.hssf.usermodel.HSSFPatriarch-">setPatriarch</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFPatriarch</a>&nbsp;_patriarch)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setPropertyValue-org.apache.poi.ddf.EscherProperty-">setPropertyValue</a></span>(<a
                                        href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                        title="class in org.apache.poi.ddf">EscherProperty</a>&nbsp;property)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i33" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setRotationDegree-short-">setRotationDegree</a></span>(short&nbsp;value)</code>
                                    <div class="block">specifies the rotation, in degrees, that is applied to a shape.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="LINEWIDTH_ONE_PT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINEWIDTH_ONE_PT</h4>
                                <pre>public static final&nbsp;int LINEWIDTH_ONE_PT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.LINEWIDTH_ONE_PT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LINEWIDTH_DEFAULT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINEWIDTH_DEFAULT</h4>
                                <pre>public static final&nbsp;int LINEWIDTH_DEFAULT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.LINEWIDTH_DEFAULT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LINESTYLE__COLOR_DEFAULT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINESTYLE__COLOR_DEFAULT</h4>
                                <pre>public static final&nbsp;int LINESTYLE__COLOR_DEFAULT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.LINESTYLE__COLOR_DEFAULT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="FILL__FILLCOLOR_DEFAULT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FILL__FILLCOLOR_DEFAULT</h4>
                                <pre>public static final&nbsp;int FILL__FILLCOLOR_DEFAULT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.FILL__FILLCOLOR_DEFAULT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="NO_FILL_DEFAULT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NO_FILL_DEFAULT</h4>
                                <pre>public static final&nbsp;boolean NO_FILL_DEFAULT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.NO_FILL_DEFAULT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LINESTYLE_SOLID">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINESTYLE_SOLID</h4>
                                <pre>public static final&nbsp;int LINESTYLE_SOLID</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.LINESTYLE_SOLID">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LINESTYLE_DASHSYS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINESTYLE_DASHSYS</h4>
                                <pre>public static final&nbsp;int LINESTYLE_DASHSYS</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.LINESTYLE_DASHSYS">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LINESTYLE_DOTSYS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINESTYLE_DOTSYS</h4>
                                <pre>public static final&nbsp;int LINESTYLE_DOTSYS</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.LINESTYLE_DOTSYS">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LINESTYLE_DASHDOTSYS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINESTYLE_DASHDOTSYS</h4>
                                <pre>public static final&nbsp;int LINESTYLE_DASHDOTSYS</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.LINESTYLE_DASHDOTSYS">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LINESTYLE_DASHDOTDOTSYS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINESTYLE_DASHDOTDOTSYS</h4>
                                <pre>public static final&nbsp;int LINESTYLE_DASHDOTDOTSYS</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.LINESTYLE_DASHDOTDOTSYS">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LINESTYLE_DOTGEL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINESTYLE_DOTGEL</h4>
                                <pre>public static final&nbsp;int LINESTYLE_DOTGEL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.LINESTYLE_DOTGEL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LINESTYLE_DASHGEL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINESTYLE_DASHGEL</h4>
                                <pre>public static final&nbsp;int LINESTYLE_DASHGEL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.LINESTYLE_DASHGEL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LINESTYLE_LONGDASHGEL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINESTYLE_LONGDASHGEL</h4>
                                <pre>public static final&nbsp;int LINESTYLE_LONGDASHGEL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.LINESTYLE_LONGDASHGEL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LINESTYLE_DASHDOTGEL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINESTYLE_DASHDOTGEL</h4>
                                <pre>public static final&nbsp;int LINESTYLE_DASHDOTGEL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.LINESTYLE_DASHDOTGEL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LINESTYLE_LONGDASHDOTGEL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINESTYLE_LONGDASHDOTGEL</h4>
                                <pre>public static final&nbsp;int LINESTYLE_LONGDASHDOTGEL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.LINESTYLE_LONGDASHDOTGEL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LINESTYLE_LONGDASHDOTDOTGEL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINESTYLE_LONGDASHDOTDOTGEL</h4>
                                <pre>public static final&nbsp;int LINESTYLE_LONGDASHDOTDOTGEL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.LINESTYLE_LONGDASHDOTDOTGEL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LINESTYLE_NONE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINESTYLE_NONE</h4>
                                <pre>public static final&nbsp;int LINESTYLE_NONE</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.LINESTYLE_NONE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LINESTYLE_DEFAULT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LINESTYLE_DEFAULT</h4>
                                <pre>public static final&nbsp;int LINESTYLE_DEFAULT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.LINESTYLE_DEFAULT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="NO_FILLHITTEST_TRUE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NO_FILLHITTEST_TRUE</h4>
                                <pre>public static final&nbsp;int NO_FILLHITTEST_TRUE</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.NO_FILLHITTEST_TRUE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="NO_FILLHITTEST_FALSE">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>NO_FILLHITTEST_FALSE</h4>
                                <pre>public static final&nbsp;int NO_FILLHITTEST_FALSE</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFShape.NO_FILLHITTEST_FALSE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.hssf.record.ObjRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSSFShape</h4>
                                <pre>public&nbsp;HSSFShape(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                 <a href="../../../../../org/apache/poi/hssf/record/ObjRecord.html"
                    title="class in org.apache.poi.hssf.record">ObjRecord</a>&nbsp;objRecord)</pre>
                                <div class="block">creates shapes from existing file</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>spContainer</code> -</dd>
                                    <dd><code>objRecord</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HSSFShape-org.apache.poi.hssf.usermodel.HSSFShape-org.apache.poi.hssf.usermodel.HSSFAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFShape</h4>
                                <pre>public&nbsp;HSSFShape(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;parent,
                 <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                    title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;anchor)</pre>
                                <div class="block">Create a new shape with the specified parent and anchor.</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createSpContainer--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createSpContainer</h4>
                                <pre>protected abstract&nbsp;<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;createSpContainer()</pre>
                            </li>
                        </ul>
                        <a name="createObjRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createObjRecord</h4>
                                <pre>protected abstract&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/record/ObjRecord.html"
                                        title="class in org.apache.poi.hssf.record">ObjRecord</a>&nbsp;createObjRecord()</pre>
                            </li>
                        </ul>
                        <a name="afterRemove-org.apache.poi.hssf.usermodel.HSSFPatriarch-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>afterRemove</h4>
                                <pre>protected abstract&nbsp;void&nbsp;afterRemove(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFPatriarch</a>&nbsp;patriarch)</pre>
                                <div class="block">remove escher container from the patriarch.escherAggregate
                                    remove obj, textObj and note records if it's necessary
                                    in case of ShapeGroup remove all contained shapes
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>patriarch</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEscherContainer--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEscherContainer</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;getEscherContainer()</pre>
                            </li>
                        </ul>
                        <a name="getObjRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getObjRecord</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/hssf/record/ObjRecord.html"
                                                       title="class in org.apache.poi.hssf.record">ObjRecord</a>&nbsp;getObjRecord()</pre>
                            </li>
                        </ul>
                        <a name="getOptRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOptRecord</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ddf/EscherOptRecord.html"
                                                    title="class in org.apache.poi.ddf">EscherOptRecord</a>&nbsp;getOptRecord()</pre>
                                <div class="block">Return the low-level EscherOptRecord to read/modify not yet wrapped
                                    escher properties
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the low-level EscherOptRecord</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getParent--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParent</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                                    title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;getParent()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getParent--">getParent</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                                title="interface in org.apache.poi.ss.usermodel">Shape</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the parent shape.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAnchor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAnchor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                                    title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;getAnchor()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getAnchor--">getAnchor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                                title="interface in org.apache.poi.ss.usermodel">Shape</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the anchor that is used by this shape.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAnchor-org.apache.poi.hssf.usermodel.HSSFAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAnchor</h4>
                                <pre>public&nbsp;void&nbsp;setAnchor(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;anchor)</pre>
                                <div class="block">Sets a particular anchor. A top-level shape must have an anchor of
                                    HSSFClientAnchor. A child anchor must have an anchor of HSSFChildAnchor
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the anchor to use.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - when the wrong anchor is used
                                        for
                                        this particular shape.
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFChildAnchor.html"
                                           title="class in org.apache.poi.hssf.usermodel"><code>HSSFChildAnchor</code></a>,
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html"
                                           title="class in org.apache.poi.hssf.usermodel"><code>HSSFClientAnchor</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLineStyleColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLineStyleColor</h4>
                                <pre>public&nbsp;int&nbsp;getLineStyleColor()</pre>
                                <div class="block">The color applied to the lines of this shape.</div>
                            </li>
                        </ul>
                        <a name="setLineStyleColor-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLineStyleColor</h4>
                                <pre>public&nbsp;void&nbsp;setLineStyleColor(int&nbsp;lineStyleColor)</pre>
                                <div class="block">The color applied to the lines of this shape.</div>
                            </li>
                        </ul>
                        <a name="setLineStyleColor-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLineStyleColor</h4>
                                <pre>public&nbsp;void&nbsp;setLineStyleColor(int&nbsp;red,
                              int&nbsp;green,
                              int&nbsp;blue)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setLineStyleColor-int-int-int-">Shape</a></code></span>
                                </div>
                                <div class="block">The color applied to the lines of this shape.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                                title="interface in org.apache.poi.ss.usermodel">Shape</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFillColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFillColor</h4>
                                <pre>public&nbsp;int&nbsp;getFillColor()</pre>
                                <div class="block">The color used to fill this shape.</div>
                            </li>
                        </ul>
                        <a name="setFillColor-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFillColor</h4>
                                <pre>public&nbsp;void&nbsp;setFillColor(int&nbsp;fillColor)</pre>
                                <div class="block">The color used to fill this shape.</div>
                            </li>
                        </ul>
                        <a name="setFillColor-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFillColor</h4>
                                <pre>public&nbsp;void&nbsp;setFillColor(int&nbsp;red,
                         int&nbsp;green,
                         int&nbsp;blue)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setFillColor-int-int-int-">Shape</a></code></span>
                                </div>
                                <div class="block">Sets the color used to fill this shape using the solid fill
                                    pattern.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setFillColor-int-int-int-">setFillColor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                                title="interface in org.apache.poi.ss.usermodel">Shape</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLineWidth--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLineWidth</h4>
                                <pre>public&nbsp;int&nbsp;getLineWidth()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>returns with width of the line in EMUs. 12700 = 1 pt.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLineWidth-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLineWidth</h4>
                                <pre>public&nbsp;void&nbsp;setLineWidth(int&nbsp;lineWidth)</pre>
                                <div class="block">Sets the width of the line. 12700 = 1 pt.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>lineWidth</code> - width in EMU's. 12700EMU's = 1 pt</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINEWIDTH_ONE_PT"><code>LINEWIDTH_ONE_PT</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLineStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLineStyle</h4>
                                <pre>public&nbsp;int&nbsp;getLineStyle()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>One of the constants in LINESTYLE_*</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLineStyle-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLineStyle</h4>
                                <pre>public&nbsp;void&nbsp;setLineStyle(int&nbsp;lineStyle)</pre>
                                <div class="block">Sets the line style.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>lineStyle</code> - One of the constants in LINESTYLE_*</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isNoFill--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isNoFill</h4>
                                <pre>public&nbsp;boolean&nbsp;isNoFill()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html#isNoFill--">Shape</a></code></span>
                                </div>
                                <div class="block">Whether this shape is not filled with a color</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html#isNoFill--">isNoFill</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                                title="interface in org.apache.poi.ss.usermodel">Shape</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if this shape is not filled with a color.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setNoFill-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNoFill</h4>
                                <pre>public&nbsp;void&nbsp;setNoFill(boolean&nbsp;noFill)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setNoFill-boolean-">Shape</a></code></span>
                                </div>
                                <div class="block">Sets whether this shape is filled or transparent.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setNoFill-boolean-">setNoFill</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                                title="interface in org.apache.poi.ss.usermodel">Shape</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>noFill</code> - if true then no fill will be applied to the shape element.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPropertyValue-org.apache.poi.ddf.EscherProperty-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPropertyValue</h4>
                                <pre>protected&nbsp;void&nbsp;setPropertyValue(<a
                                        href="../../../../../org/apache/poi/ddf/EscherProperty.html"
                                        title="class in org.apache.poi.ddf">EscherProperty</a>&nbsp;property)</pre>
                            </li>
                        </ul>
                        <a name="setFlipVertical-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFlipVertical</h4>
                                <pre>public&nbsp;void&nbsp;setFlipVertical(boolean&nbsp;value)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - specifies whether this shape is vertically flipped.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFlipHorizontal-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFlipHorizontal</h4>
                                <pre>public&nbsp;void&nbsp;setFlipHorizontal(boolean&nbsp;value)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - specifies whether this shape is horizontally flipped.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isFlipVertical--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFlipVertical</h4>
                                <pre>public&nbsp;boolean&nbsp;isFlipVertical()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>whether this shape is vertically flipped.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isFlipHorizontal--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFlipHorizontal</h4>
                                <pre>public&nbsp;boolean&nbsp;isFlipHorizontal()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>whether this shape is horizontally flipped.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRotationDegree--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRotationDegree</h4>
                                <pre>public&nbsp;int&nbsp;getRotationDegree()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the rotation, in degrees, that is applied to a shape.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRotationDegree-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRotationDegree</h4>
                                <pre>public&nbsp;void&nbsp;setRotationDegree(short&nbsp;value)</pre>
                                <div class="block">specifies the rotation, in degrees, that is applied to a shape.
                                    Positive values specify rotation in the clockwise direction.
                                    Negative values specify rotation in the counterclockwise direction.
                                    Rotation occurs around the center of the shape.
                                    The default value for this property is 0x00000000
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="countOfAllChildren--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>countOfAllChildren</h4>
                                <pre>public&nbsp;int&nbsp;countOfAllChildren()</pre>
                                <div class="block">Count of all children and their children's children.</div>
                            </li>
                        </ul>
                        <a name="cloneShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>cloneShape</h4>
                                <pre>protected abstract&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;cloneShape()</pre>
                            </li>
                        </ul>
                        <a name="setPatriarch-org.apache.poi.hssf.usermodel.HSSFPatriarch-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPatriarch</h4>
                                <pre>protected&nbsp;void&nbsp;setPatriarch(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFPatriarch</a>&nbsp;_patriarch)</pre>
                            </li>
                        </ul>
                        <a name="getPatriarch--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPatriarch</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFPatriarch</a>&nbsp;getPatriarch()</pre>
                            </li>
                        </ul>
                        <a name="setParent-org.apache.poi.hssf.usermodel.HSSFShape-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setParent</h4>
                                <pre>protected&nbsp;void&nbsp;setParent(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;parent)</pre>
                            </li>
                        </ul>
                        <a name="getShapeName--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getShapeName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getShapeName()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getShapeName--">getShapeName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                                title="interface in org.apache.poi.ss.usermodel">Shape</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the name of this shape</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
               title="interface in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFShape.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
